For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brings Customer Information

Müşteri bilgisini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
TaxNumberstringRequired
Responses
200

Müşteri bilgisini getirir.

application/json
IDinteger · int32Optional
TaxNumberstring · nullableOptional
Namestring · nullableOptional
TaxDepartmentstring · nullableOptional
Addressstring · nullableOptional
Countrystring · nullableOptional
Citystring · nullableOptional
Districtstring · nullableOptional
PostalCodestring · nullableOptional
Phonestring · nullableOptional
Faxstring · nullableOptional
Emailstring · nullableOptional
WebSitestring · nullableOptional
IsExportbooleanOptional
get/Customers/GetCustomerInfo/{TaxNumber}
GET /general/Customers/GetCustomerInfo/{TaxNumber} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ID": 1,
  "TaxNumber": "text",
  "Name": "text",
  "TaxDepartment": "text",
  "Address": "text",
  "Country": "text",
  "City": "text",
  "District": "text",
  "PostalCode": "text",
  "Phone": "text",
  "Fax": "text",
  "Email": "text",
  "WebSite": "text",
  "IsExport": true
}
var client = new RestClient("https://apitest.nilvera.com/general/Customers/GetCustomerInfo/34918613960");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/Customers/GetCustomerInfo/34918613960',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated